#ifndef __DOM__DOCFRAG__
#define __DOM__DOCFRAG__

#ifdef __cplusplus
extern "C" {
#endif

#include "Python.h"
#include "node.h"


  extern PyObject *g_documentFragmentNodeType;
  extern PyObject *g_documentFragmentNodeName;

  typedef struct {
    PyNode_HEAD
    PyObject *childNodes;
  } PyDocumentFragmentObject;

#define PyDocumentFragment_Check(op) ((op)->ob_type == &PyDomletteDocumentFragment_Type)

  PyDocumentFragmentObject *DocumentFragment_CloneNode(
    PyObject *node, int deep, PyNodeObject *newOwnerDocument);

  extern DL_EXPORT(PyTypeObject) PyDomletteDocumentFragment_Type;


#ifdef __cplusplus
}
#endif


#endif
